Get accumulation address
deprecated
Legacy address model; new integrations use standing deposit addresses. Get accumulation address.
GET
/
v1
/
accumulation-addresses
/
{id}
Get accumulation address
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"accumulationAddressId": "<string>",
"label": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"destinationAsset": "BTC",
"recipientSparkAddress": "<string>",
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"depositAddress": "<string>",
"createdAt": "<string>",
"subscriptions": [
{
"provider": "<string>",
"chain": "<string>",
"address": "<string>",
"status": "pending",
"lastError": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"disabledAt": "<string>",
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Path Parameters
Minimum string length:
1Response
Record
Available options:
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash Available options:
BTC, USDB Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get accumulation address
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/accumulation-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"accumulationAddressId": "<string>",
"label": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"destinationAsset": "BTC",
"recipientSparkAddress": "<string>",
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"depositAddress": "<string>",
"createdAt": "<string>",
"subscriptions": [
{
"provider": "<string>",
"chain": "<string>",
"address": "<string>",
"status": "pending",
"lastError": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"disabledAt": "<string>",
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}